# Command: prepend

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    prepend - Attach an object to the front of an array or string.

Synopsis:

    (string) int prepend -> string
      [array] any  prepend -> array

Examples:

    (hello) 44 prepend -> (,hello) (44 is ASCII value for ,)
      [1 2 3] (hello) prepend -> [(hello) 1 2 3]
      [1 2 3] 44 prepend -> [44 1 2 3]

Author:

    docu edited by Sirko Straube

SeeAlso:

- append
- insertelement

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative